List workLocations
curl --request GET \
--url https://{host}/work-locations/public/api/work-locations \
--header 'Authorization: <authorization>'import requests
url = "https://{host}/work-locations/public/api/work-locations"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://{host}/work-locations/public/api/work-locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"items": [
{
"id": 123,
"name": "<string>",
"isActive": true,
"office": {
"capacity": 123,
"showAreas": true,
"areas": [
{
"id": 123,
"name": "<string>",
"capacity": 123,
"floorKey": 123
}
],
"floors": [
{
"key": 123,
"name": "<string>",
"position": 123
}
]
}
}
]
}Work-locations
List workLocations
Query all available work locations
GET
/
work-locations
/
public
/
api
/
work-locations
List workLocations
Headers
API key. Value must be formatted like so: lucca application={api_key}.
Query Parameters
Page number
Required range:
x >= 1Page size
Required range:
1 <= x <= 1000Return total items count (across all pages).
Available options:
count Was this page helpful?
⌘I